System.Design 2.0.0.0 To be added.

Provides debugging services in a design-time environment.

- Method
  2.0.0.0
  System.Void `` ``

  The method enables a designer to assert on a condition inside a design-time environment.

  Asserts on a condition inside a design-time environment.

  true to prevent from being displayed; otherwise, false. The message to display.
- Method
  2.0.0.0
  System.Void ``

  The method enables a designer to log failure messages inside a design-time environment.

  Logs a failure message inside a design-time environment.

  The message to log.
- Property
  2.0.0.0
  System.Int32 To be added.

  The property enables a designer to change the indent level for debug output.

  Gets or sets the indent level for debug output.

- Property
  2.0.0.0
  System.Diagnostics.TraceListenerCollection To be added.

  The property enables objects to monitor design-time debugging output.

  Gets a collection of trace listeners for monitoring design-time debugging output.

- Method
  2.0.0.0
  System.Void `` ``

  The method enables a designer to log debug messages inside a design-time environment.

  Logs a debug message inside a design-time environment.

  The message to log. The category of .